# Instructions
## Requirements
* CUDA drivers, tested with 10.0
* bazel 0.25.2

## Build Tensorflow
```
git clone -b r1.15 https://github.com/okdzhimiev/tensorflow.git
cd tensorflow
# select CUDA support
./configure
# run tensorflow_maven_builder.sh from tensorflow/ root dir, link or copy from this repo
./tensorflow_maven_builder.sh
# Wait for a few hours
```

## tensorflow_maven_builder.sh
* Builds Bazel targets:
  * //tensorflow/java:tensorflow
  * //tensorflow/java:libtensorflow_jni
  * //tensorflow/java:pom
  * //tensorflow/tools/lib_package:libtensorflow_jni.tar.gz

* Installs generated Maven packages to local Maven repo:
  * org.tensorflow.libtensorflow
  * org.tensorflow.libtensorflow_jni_gpu

## Uninstall Maven packages to switch back to Maven Central
To uninstall those from the local repo it's enough to just delete them:
```
rm -rf ~/m2/repository/org/tensorflow/libtensorflow/1.15.2
rm -rf ~/m2/repository/org/tensorflow/libtensorflow_jni_gpu/1.15.2
```
